--[[

This script is executed right after the KEENGINE intro is finished.

The "demoloop" function has to be implemented in an infinite loop.
If the demoloop function exits, the game will just exit back to
Windows.

EVERYTHING in the actual game is started from this function. That
means you absolutely have to call "ShowMenu()" somewhere in this
function or you won't be able to get to the menu at all.

If the "demoloop" function is missing or misspelled (the name has to
be in all lower case) or the script file is missing, the game will
fall back to the old (hard-coded) demo loop.

--]]

function demoloop(skipintro)
	local demonum = 0
	local democount = 5 + super.DemoFileCount
	local skip = Blitz.StrToInt(skipintro)	-- skipintro is passed as a string

	while true do
		-- show the current part of the demo loop:
		if skip == 0 then
			if demonum == 0 then
				skip = PlayIntro()	-- this runs the script in INTRO.LUA
			elseif demonum == 1 then
				skip = ShowTitle()
			elseif demonum == 2 then
				skip = ShowHighscores()
			elseif demonum == 3 then
				skip = DisplayScroller()
			elseif demonum == 4 then
				skip = ShowUserDemo()
			else
				skip = ShowDeveloperDemo(demonum-5)
			end
		end

		-- show the menu if a key was hit:
		if not (skip == 0) then
			ShowMenu()
			skip = 0
		end

		-- continue with next demo:
		demonum = demonum + 1
		if demonum >= democount then
			demonum = 0
		end
	end
end